<template>
  <div>
    <ApplyDetailDialog ref="applyDetailDialogRef" />
    <ApplyDetailDrawer ref="applyDetailDrawerRef" />
    <UserInfoDialog ref="userInfoDialogRef" />
    <el-button @click="handleApplyDetailDialogOpen">审批详情</el-button>
    <el-button @click="handleApplyDetailDrawerOpen">审批详情</el-button>
    <el-button @click="handleUserInfoDialogOpen">用户信息</el-button>
    <statistics />
  </div>
</template>

<script setup name="Index">
import statistics from "@/views/statistics/index.vue";

const { proxy } = getCurrentInstance();


function handleApplyDetailDialogOpen() {
  proxy.$refs["applyDetailDialogRef"].show();
}

function handleUserInfoDialogOpen() {
  proxy.$refs["userInfoDialogRef"].show();
}

function handleApplyDetailDrawerOpen() {
  proxy.$refs["applyDetailDrawerRef"].show();
}

</script>

